Package org.apache.sling.installer.api

# Interface ResourceChangeListener

@ProviderType public interface ResourceChangeListener
OSGi Service listening for changes of resources. These resources are not changed through the installer but through any other means like a bundle being installed directly through the framework or a configuration directly changed through the configuration admin.

Since:
  3.1

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RESOURCE_PERSIST`
This attribute defines if a change of the resource should be persisted by the installer.

## Method Summary

Modifier and Type
Method
Description
`void`
`resourceAddedOrUpdated(String resourceType, String entityId, InputStream is, Dictionary<String,Object> dict, Map<String,Object> attributes)`
Inform the installer about an added or updated resource
`void`
`resourceRemoved(String resourceType, String entityId)`
Inform the installer about a removed resource

## Field Details

### RESOURCE_PERSIST

static final String RESOURCE_PERSIST
This attribute defines if a change of the resource should be persisted by the installer. This property is a boolean value defaulting to true. The property should be used, if a resource should not be updated/deleted if the resource is modified/deleted outside of the installer, e.g. if a configuration is changed or deleted through configuration admin.

Since:
  3.2.0
See Also:
  - Constant Field Values

## Method Details

### resourceAddedOrUpdated

void resourceAddedOrUpdated(String resourceType, String entityId, InputStream is, Dictionary<String,Object> dict, Map<String,Object> attributes)
Inform the installer about an added or updated resource

Parameters:
  `resourceType` - The resource type
  `entityId` - The entity id (symbolic name etc.)
  `is` - Input stream or
  `dict` - Dictionary
  `attributes` - Map of attributes.

### resourceRemoved

void resourceRemoved(String resourceType, String entityId)
Inform the installer about a removed resource

Parameters:
  `resourceType` - The resource type
  `entityId` - The entity id (symbolic name etc.)